<?php

namespace {{ namespace }}\GraphQL\{{ inner_namespace }}\Mutations;

{% block use_statements %}
use Symfony\Component\HttpFoundation\ParameterBag;
use Youshido\GraphQLBundle\Field\AbstractContainerAwareField;
use Youshido\GraphQL\Type\ListType\ListType;
use Youshido\GraphQL\Type\Scalar\StringType;
use Youshido\GraphQL\Type\NonNullType;
use Youshido\GraphQL\Type\Scalar\IdType;
use Youshido\GraphQL\Execution\ResolveInfo;
use Youshido\GraphQL\Config\Field\FieldConfig;
use {{ namespace }}\GraphQL\Type\{{ type }};
{% endblock use_statements %}

{% block class_definition %}
class {{ class_name }} extends AbstractContainerAwareField
{% endblock class_definition %}
{
{% block class_body %}
    
    public function getType()
    {
        return new {{ type }}();
    }

    public function build(FieldConfig $config)
    {
        /*
        $config->addArguments([
            'id' => new NonNullType(new IdType()),
            'name' => new StringType()
        ]);
        */
    }

    public function resolve($value, array $args, ResolveInfo $info)
    {
       return $this->container
           ->get('app.resolver.{{ service_name }}')
           ->resolve(new ParameterBag($args));
    }

    public function getDescription()
    {
        return '{{ description }}';
    }

{% endblock class_body %}
}
